<?
include ("../common/scripts/connect.inc.php");
session_start();

if(isset($_SESSION['idChar']))
{
	$id_mimichant=$_SESSION['idChar'];

	if(isset($_POST['nbChoco']) && isset($_POST['id']) && isset($_POST['nom']))
	{
	  $id=$_POST['id'];
		$nom=$_POST['nom'];
		$nb_choco=$_POST['nbChoco'];
		
		//traitement de la modification du prix
		$result= pg_query($dbconn,"select * from lower_price(".$id.", ".$nb_choco.",".$id_mimichant.")");	
		$ok=pg_fetch_row($result);
		
		//si l'achat s'est bien passé
		if($ok[0]=='t')
		{
		echo '
		Le prix de votre mimichant '.$nom.' a bien &eacute;t&eacute; modifi&eacute; &agrave; '.$nb_choco.' chocop&eacute;pites';
	  }
	  else
	  {
		echo 'Vous ne remplissez pas toutes les conditions pour pouvoir modifier le prix du mimichant '.$nom;
	  }
	}
}


?>
